import request from '@/utils/request'
const wecom = window.lwConfig.services.wecom
const service = wecom + '/chat'
const serviceMaterial = wecom + '/material'
const weChat = window.lwConfig.services.weChat

/**
 * 侧边栏列表
 * @param {*} params
 */
export function getTypeList() {
  return request({
    url: service + '/side/h5List',
  })
}
// 内容中心tab栏
export function getTabList() {
  return request({
    url: serviceMaterial + '/media/type',
  })
}

/**
 * 素材列表
 * @param {*} sideId
 */
export function getMaterialList(params) {
  return request({
    url: service + '/item/list',
    params,
  })
}

/**
 * 收藏列表(h5我的)
 * @param {*} userId
 */
export function getCollectionList(params) {
  return request({
    url: service + '/collection/list',
    params,
  })
}

/**
 * 添加收藏
 * @param {*} data
 * {
    materialId:素材id
userId:用户id
}
 */
export function addCollection(data) {
  return request({
    url: service + '/collection/addCollection',
    method: 'post',
    // headers: {
    //   'Content-Type': 'application/x-www-form-urlencoded',
    // },
    data,
  })
}

/**
 * 取消收藏
 * @param {*} data
 * {
    materialId:素材id
userId:用户id
}
 */
export function cancleCollection(data) {
  return request({
    url: service + '/collection/cancleCollection',
    method: 'post',
    data,
  })
}

/**
 * 获取企业微信素材media_id
 * @param {*} params
 * url [string] 是	素材路径
type [string] 是	素材类型
name [string] 是	文件名称
 */
export function getMaterialMediaId(params) {
  return request({
    url: serviceMaterial + '/temporaryMaterialMediaId',
    params,
  })
}
// 分组列表
export function getCodeCategoryList(data) {
  return request({
    url: wecom + '/category/list',
    params: data,
  })
}
// 素材列表
export function getList(params) {
  return request({ url: serviceMaterial + '/list', params })
}
// 发送
export function addSend(data) {
  return request({
    url: wecom + '/material/action/addSend',
    method: 'post',
    data,
  })
}
// 通过微信openid获取授权信息
export function getOpenId(params) {
  return request({
    url: weChat + '/track/material/auth/get',
    params,
  })
}
// 获取话术列表
export function getTalkList(params) {
  return request({
    url: wecom + '/talk/list',
    params,
  })
}
// 根据素材ID获取素材详情
export function getMaterialId(id) {
  return request({
    url: weChat + '/material/get/' + id,
  })
}
// 一键发送
export function addAllSend(data) {
  return request({
    url: wecom + '/material/action/addAllSend',
    method: 'post',
    data,
  })
}
// 保存查看详情
export function addViewSendBeacon(data) {
  return navigator.sendBeacon(window.lwConfig.BASE_API + weChat + '/material/action/addView', data)
}
export function addView(data) {
  return request({
    url: weChat + '/material/action/addView',
    method: 'post',
    data,
  })
}
// 保存客户授权信息
export function saveInfo(data) {
  return request({
    url: weChat + '/track/material/auth/save',
    method: 'post',
    data,
  })
}
