import { requestOpen } from '@/utils/request'
const { get, post, put, del: _del } = requestOpen
const serve = '/message/notification'

// 消息通知

/**
 * 列表
 * @param {*} data
   {
    pageNum:
    pageSize:
    type:'read'  read 已读， unread 未读
   }
 */
export function getList(data) {
  return get(`${serve}/${data.type}/list`)
}

// 消息通知数量
export function getNum(id) {
  return get(serve + '/num')
}

/**
 * 消息通知已读
 * @param {*} data
 * @returns
 */
export function read() {
  return post(`${serve}/read`)
}

// 删除
export function del(id) {
  return _del(`${serve}/delete/${id}`)
}

// 修改
export function update(data) {
  return put(`${serve}/update`, data)
}
