import { requestOpen } from '@/utils/request'
const { get, post, put, del: _del } = requestOpen
const serve = '/weTasks'

// 我的任务

/**
 * 列表
 * @param {*} data
   {
    pageNum:
    pageSize:
    type:'list'  list 待办任务 默认, history 历史任务
   }
 */
export function getList(data) {
  data = Object.assign({ pageNum: 1, pageSize: 10, type: 'list' }, data)
  return get(`${serve}/${data.type}`, data)
}

/**
 * 完成代办任务
 * @param {*} data
 * @returns
 */
export function finish(id) {
  return put(`${serve}/finish/${id}`)
}

// 删除
export function del(id) {
  return _del(`${serve}/delete/${id}`)
}

// 修改
export function update(data) {
  return put(`${serve}/update`, data)
}
